Subject: Re: [PATCH bpf] bpftool: Don't crash on missing jited insns or ksyms

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 10 Dec 2019 19:11:18 +0100

Martin Lau <[email-masked]> writes:

> On Tue, Dec 10, 2019 at 03:30:47PM +0100, Toke Høiland-Jørgensen wrote:
>> When JIT hardening is turned on, the kernel can fail to return jited_ksyms
> JIT hardening means net.core.bpf_jit_harden?
> From the code, it happens on the bpf_dump_raw_ok() check which is
> actually "kernel.kptr_restrict" instead?

Ah, yeah, you're right. I was looking through the hardening patchset and
the bpf_jit_harden setting was the first thing I hit upon; must admit I
didn't check this too closely :)

I'll send a v2 with an updated commit message...

-Toke